/* QACPI - A window manager-independent applet for reading ACPI battery
          information on Compaq 1700 series (and perhaps other) computers
   Copyright (C) 2002  Daniel A. Wagenaar
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
   
   Contacting the author:
   
      Daniel Wagenaar
      Caltech 103-33
      Pasadena, CA 91125
      USA
      wagenaar@caltech.edu
*/
// Battery.H

#ifndef BATTERY_H

#define BATTERY_H

#define DEVICE "/proc/acpi/battery/CMB0/state"

class Battery {
public:
  static const int READINGS=5;
  class BState {
  public:
    BState() { usage_mW=0; reserve_mWh=0; }
  public:
    int usage_mW;
    int reserve_mWh;
  };
public:
  Battery();
  int getTime_min() const { return min; }
  int getMeanUsage_mW() const { return used ? sumUsage_mW/nave : 0; }
  int getReserve_mWh() const { return state[now].reserve_mWh; }
  void update();
private:
  BState getBState();
  void fixMin();
private:
  BState state[READINGS];
  int sumUsage_mW;
  int min;
  int nave;
  int now;
  bool used;
};

#endif
