/* QACPI - A window manager-independent applet for reading ACPI battery
          information on Compaq 1700 series (and perhaps other) computers
   Copyright (C) 2002  Daniel A. Wagenaar
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
   
   Contacting the author:
   
      Daniel Wagenaar
      Caltech 103-33
      Pasadena, CA 91125
      USA
      wagenaar@caltech.edu
*/
// QSegmentBar.H

#ifndef QSEGMENTBAR_H

#define QSEGMENTBAR_H

#include <qframe.h>

class QSegmentBar: public QFrame {
  Q_OBJECT
public:
  QSegmentBar(QWidget *parent=0, const char *name=0,
	      int range=100, int segment=20,
	      WFlags f=0);
 public slots:
  void setRange(int range);
  void setSegment(int segment);
  void setValue(int value);
public:
  int getValue() const { return value; }
  int getRange() const { return range; }
  int getSegment() const { return segment; }
protected:
  virtual void drawContents(QPainter *);
private:
  int range, segment, value;
};

#endif
